Bio::MAGETAB::Protocol(3)

NAME
Bio::MAGETAB::Protocol - MAGE-TAB protocol class

SYNOPSIS
 use Bio::MAGETAB::Protocol;

DESCRIPTION
This class is used to describe experimental protocols in MAGE-TAB. It can either contain all the information about a protocol itself, or it can link to a protocol entry in a suitable database via its superclass. See the DatabaseEntry class for superclass methods.

ATTRIBUTES

name (required)
    The name of the protocol (data type: String).

text (optional)
    A free-text description of the protocol, giving all the steps in the procedure (data type: String).

software (optional)
    The software used in the protocol. Multiple softwares must be concatenated into a single value (data type: String).

hardware (optional)
    The hardware used in the protocol. Multiple hardwares must be concatenated into a single value (data type: String).

protocolType (optional)
    The type of the protocol ('nucleic_acid_extraction','labeling' etc.; data type: Bio::MAGETAB::ControlledTerm).

contact (optional)
    A contact for more information on the protocol. Multiple contacts must be concatenated into a single value (data type: String).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::DatabaseEntry

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).